def get_image(name)
  File.open(File.join(Rails.root, "/db/image_seeds/#{name}"))
end

Account.delete_all
admin = Account.create(email: 'admin@example.com', password: 'asdasdasd', password_confirmation: 'asdasdasd')

Administrator.delete_all
Administrator.create account: admin

Page.delete_all
Page.create title: 'Home', mode: :path, position: 1, enabled: true, link: 'main'

Page.create title: 'About', mode: :anchor, position: 2, enabled: true, url_id: 'about', body: %{
<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lobortis elit nec efficitur dictum. Maecenas at
varius neque, non semper turpis. Cras rutrum eget ante eu iaculis. Nulla pulvinar ut eros eget lobortis. Suspendisse
ac rutrum lorem. Sed interdum diam non eros placerat rhoncus. Nullam dui sapien, mattis vitae venenatis at, tempor sit
amet turpis. Aliquam eu odio vel ante dignissim rutrum ac eu massa. Fusce tincidunt ipsum eget dolor fermentum sodales.
Nam vehicula ligula quis mollis laoreet.</p>
<p>Curabitur ac luctus urna. Donec id enim et mauris rutrum interdum. Sed interdum aliquet mauris ac auctor. Praesent
vel commodo nulla. In hac habitasse platea dictumst. Quisque eu ligula est. Sed bibendum turpis eget felis condimentum,
finibus ullamcorper lorem laoreet. Morbi venenatis leo nec aliquam tincidunt. In commodo mollis magna. Donec sagittis
molestie nunc a efficitur.</p>
<p>Aenean quis consequat ex. Donec et volutpat arcu. Mauris congue purus et nibh hendrerit scelerisque. Curabitur a
laoreet augue. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas quis
viverra risus, ac scelerisque neque. Aenean ex leo, vulputate et magna et, bibendum auctor risus. Mauris in pulvinar
lacus. Curabitur eget dolor malesuada, tincidunt ipsum ut, vulputate risus. Aliquam nec magna nec orci finibus posuere
non a arcu. Vestibulum eget cursus velit. Proin arcu dui, rutrum quis blandit nec, vehicula sit amet est. Proin nec
nisl rhoncus, molestie ex vel, fringilla felis. Praesent feugiat tempus mi, at vulputate justo pharetra non.</p>
<p>Praesent sem felis, ultricies non scelerisque ac, tempor eget nunc. In imperdiet feugiat leo, ac posuere dolor
pharetra nec. Cras porta justo quis ex mollis tempor eget eu nunc. Vivamus ullamcorper lacus et volutpat molestie.
Nulla feugiat purus vitae euismod facilisis. Aenean ut tortor turpis. Interdum et malesuada fames ac ante ipsum primis
in faucibus.</p>
<p>Ut tortor urna, sodales sed vehicula quis, tempor vel dui. Nam pulvinar aliquet diam, a malesuada enim mattis in.
Nullam sapien magna, consequat ac lacus ac, ultricies sollicitudin ligula. Etiam laoreet vulputate nunc ut pharetra.
Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In commodo mattis tellus,
in gravida ligula tempor eu. Sed et urna quis mi pharetra luctus ut id enim. Vivamus vitae nulla eros. In vestibulum
mattis elementum. </p>}

Page.create title: 'Information', mode: :anchor, position: 3, enabled: true, url_id: 'info', body: %{
<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lobortis elit nec efficitur dictum. Maecenas at
varius neque, non semper turpis. Cras rutrum eget ante eu iaculis. Nulla pulvinar ut eros eget lobortis. Suspendisse
ac rutrum lorem. Sed interdum diam non eros placerat rhoncus. Nullam dui sapien, mattis vitae venenatis at, tempor sit
amet turpis. Aliquam eu odio vel ante dignissim rutrum ac eu massa. Fusce tincidunt ipsum eget dolor fermentum sodales.
Nam vehicula ligula quis mollis laoreet.</p>
<p>Curabitur ac luctus urna. Donec id enim et mauris rutrum interdum. Sed interdum aliquet mauris ac auctor. Praesent
vel commodo nulla. In hac habitasse platea dictumst. Quisque eu ligula est. Sed bibendum turpis eget felis condimentum,
finibus ullamcorper lorem laoreet. Morbi venenatis leo nec aliquam tincidunt. In commodo mollis magna. Donec sagittis
molestie nunc a efficitur.</p>
<p>Aenean quis consequat ex. Donec et volutpat arcu. Mauris congue purus et nibh hendrerit scelerisque. Curabitur a
laoreet augue. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas quis
viverra risus, ac scelerisque neque. Aenean ex leo, vulputate et magna et, bibendum auctor risus. Mauris in pulvinar
lacus. Curabitur eget dolor malesuada, tincidunt ipsum ut, vulputate risus. Aliquam nec magna nec orci finibus posuere
non a arcu. Vestibulum eget cursus velit. Proin arcu dui, rutrum quis blandit nec, vehicula sit amet est. Proin nec
nisl rhoncus, molestie ex vel, fringilla felis. Praesent feugiat tempus mi, at vulputate justo pharetra non.</p>
<p>Praesent sem felis, ultricies non scelerisque ac, tempor eget nunc. In imperdiet feugiat leo, ac posuere dolor
pharetra nec. Cras porta justo quis ex mollis tempor eget eu nunc. Vivamus ullamcorper lacus et volutpat molestie.
Nulla feugiat purus vitae euismod facilisis. Aenean ut tortor turpis. Interdum et malesuada fames ac ante ipsum primis
in faucibus.</p>
<p>Ut tortor urna, sodales sed vehicula quis, tempor vel dui. Nam pulvinar aliquet diam, a malesuada enim mattis in.
Nullam sapien magna, consequat ac lacus ac, ultricies sollicitudin ligula. Etiam laoreet vulputate nunc ut pharetra.
Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In commodo mattis tellus,
in gravida ligula tempor eu. Sed et urna quis mi pharetra luctus ut id enim. Vivamus vitae nulla eros. In vestibulum
mattis elementum. </p>}

Page.create title: 'Privacy Policy', mode: :anchor, position: 4, enabled: true, url_id: 'privacy', body: %{
<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lobortis elit nec efficitur dictum. Maecenas at
varius neque, non semper turpis. Cras rutrum eget ante eu iaculis. Nulla pulvinar ut eros eget lobortis. Suspendisse
ac rutrum lorem. Sed interdum diam non eros placerat rhoncus. Nullam dui sapien, mattis vitae venenatis at, tempor sit
amet turpis. Aliquam eu odio vel ante dignissim rutrum ac eu massa. Fusce tincidunt ipsum eget dolor fermentum sodales.
Nam vehicula ligula quis mollis laoreet.</p>
<p>Curabitur ac luctus urna. Donec id enim et mauris rutrum interdum. Sed interdum aliquet mauris ac auctor. Praesent
vel commodo nulla. In hac habitasse platea dictumst. Quisque eu ligula est. Sed bibendum turpis eget felis condimentum,
finibus ullamcorper lorem laoreet. Morbi venenatis leo nec aliquam tincidunt. In commodo mollis magna. Donec sagittis
molestie nunc a efficitur.</p>
<p>Aenean quis consequat ex. Donec et volutpat arcu. Mauris congue purus et nibh hendrerit scelerisque. Curabitur a
laoreet augue. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas quis
viverra risus, ac scelerisque neque. Aenean ex leo, vulputate et magna et, bibendum auctor risus. Mauris in pulvinar
lacus. Curabitur eget dolor malesuada, tincidunt ipsum ut, vulputate risus. Aliquam nec magna nec orci finibus posuere
non a arcu. Vestibulum eget cursus velit. Proin arcu dui, rutrum quis blandit nec, vehicula sit amet est. Proin nec
nisl rhoncus, molestie ex vel, fringilla felis. Praesent feugiat tempus mi, at vulputate justo pharetra non.</p>
<p>Praesent sem felis, ultricies non scelerisque ac, tempor eget nunc. In imperdiet feugiat leo, ac posuere dolor
pharetra nec. Cras porta justo quis ex mollis tempor eget eu nunc. Vivamus ullamcorper lacus et volutpat molestie.
Nulla feugiat purus vitae euismod facilisis. Aenean ut tortor turpis. Interdum et malesuada fames ac ante ipsum primis
in faucibus.</p>
<p>Ut tortor urna, sodales sed vehicula quis, tempor vel dui. Nam pulvinar aliquet diam, a malesuada enim mattis in.
Nullam sapien magna, consequat ac lacus ac, ultricies sollicitudin ligula. Etiam laoreet vulputate nunc ut pharetra.
Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In commodo mattis tellus,
in gravida ligula tempor eu. Sed et urna quis mi pharetra luctus ut id enim. Vivamus vitae nulla eros. In vestibulum
mattis elementum. </p>}

Page.create title: 'Contacts', mode: :anchor, position: 5, enabled: true, url_id: 'contacts', body: %{
<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lobortis elit nec efficitur dictum. Maecenas at
varius neque, non semper turpis. Cras rutrum eget ante eu iaculis. Nulla pulvinar ut eros eget lobortis. Suspendisse
ac rutrum lorem. Sed interdum diam non eros placerat rhoncus. Nullam dui sapien, mattis vitae venenatis at, tempor sit
amet turpis. Aliquam eu odio vel ante dignissim rutrum ac eu massa. Fusce tincidunt ipsum eget dolor fermentum sodales.
Nam vehicula ligula quis mollis laoreet.</p>
<p>Curabitur ac luctus urna. Donec id enim et mauris rutrum interdum. Sed interdum aliquet mauris ac auctor. Praesent
vel commodo nulla. In hac habitasse platea dictumst. Quisque eu ligula est. Sed bibendum turpis eget felis condimentum,
finibus ullamcorper lorem laoreet. Morbi venenatis leo nec aliquam tincidunt. In commodo mollis magna. Donec sagittis
molestie nunc a efficitur.</p>
<p>Aenean quis consequat ex. Donec et volutpat arcu. Mauris congue purus et nibh hendrerit scelerisque. Curabitur a
laoreet augue. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas quis
viverra risus, ac scelerisque neque. Aenean ex leo, vulputate et magna et, bibendum auctor risus. Mauris in pulvinar
lacus. Curabitur eget dolor malesuada, tincidunt ipsum ut, vulputate risus. Aliquam nec magna nec orci finibus posuere
non a arcu. Vestibulum eget cursus velit. Proin arcu dui, rutrum quis blandit nec, vehicula sit amet est. Proin nec
nisl rhoncus, molestie ex vel, fringilla felis. Praesent feugiat tempus mi, at vulputate justo pharetra non.</p>
<p>Praesent sem felis, ultricies non scelerisque ac, tempor eget nunc. In imperdiet feugiat leo, ac posuere dolor
pharetra nec. Cras porta justo quis ex mollis tempor eget eu nunc. Vivamus ullamcorper lacus et volutpat molestie.
Nulla feugiat purus vitae euismod facilisis. Aenean ut tortor turpis. Interdum et malesuada fames ac ante ipsum primis
in faucibus.</p>
<p>Ut tortor urna, sodales sed vehicula quis, tempor vel dui. Nam pulvinar aliquet diam, a malesuada enim mattis in.
Nullam sapien magna, consequat ac lacus ac, ultricies sollicitudin ligula. Etiam laoreet vulputate nunc ut pharetra.
Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In commodo mattis tellus,
in gravida ligula tempor eu. Sed et urna quis mi pharetra luctus ut id enim. Vivamus vitae nulla eros. In vestibulum
mattis elementum. </p>}

Page.create title: 'Page', mode: :page, position: 6, enabled: true, url_id: 'page', body: %{
<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus lobortis elit nec efficitur dictum. Maecenas at
varius neque, non semper turpis. Cras rutrum eget ante eu iaculis. Nulla pulvinar ut eros eget lobortis. Suspendisse
ac rutrum lorem. Sed interdum diam non eros placerat rhoncus. Nullam dui sapien, mattis vitae venenatis at, tempor sit
amet turpis. Aliquam eu odio vel ante dignissim rutrum ac eu massa. Fusce tincidunt ipsum eget dolor fermentum sodales.
Nam vehicula ligula quis mollis laoreet.</p>
<p>Curabitur ac luctus urna. Donec id enim et mauris rutrum interdum. Sed interdum aliquet mauris ac auctor. Praesent
vel commodo nulla. In hac habitasse platea dictumst. Quisque eu ligula est. Sed bibendum turpis eget felis condimentum,
finibus ullamcorper lorem laoreet. Morbi venenatis leo nec aliquam tincidunt. In commodo mollis magna. Donec sagittis
molestie nunc a efficitur.</p>
<p>Aenean quis consequat ex. Donec et volutpat arcu. Mauris congue purus et nibh hendrerit scelerisque. Curabitur a
laoreet augue. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas quis
viverra risus, ac scelerisque neque. Aenean ex leo, vulputate et magna et, bibendum auctor risus. Mauris in pulvinar
lacus. Curabitur eget dolor malesuada, tincidunt ipsum ut, vulputate risus. Aliquam nec magna nec orci finibus posuere
non a arcu. Vestibulum eget cursus velit. Proin arcu dui, rutrum quis blandit nec, vehicula sit amet est. Proin nec
nisl rhoncus, molestie ex vel, fringilla felis. Praesent feugiat tempus mi, at vulputate justo pharetra non.</p>
<p>Praesent sem felis, ultricies non scelerisque ac, tempor eget nunc. In imperdiet feugiat leo, ac posuere dolor
pharetra nec. Cras porta justo quis ex mollis tempor eget eu nunc. Vivamus ullamcorper lacus et volutpat molestie.
Nulla feugiat purus vitae euismod facilisis. Aenean ut tortor turpis. Interdum et malesuada fames ac ante ipsum primis
in faucibus.</p>
<p>Ut tortor urna, sodales sed vehicula quis, tempor vel dui. Nam pulvinar aliquet diam, a malesuada enim mattis in.
Nullam sapien magna, consequat ac lacus ac, ultricies sollicitudin ligula. Etiam laoreet vulputate nunc ut pharetra.
Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In commodo mattis tellus,
in gravida ligula tempor eu. Sed et urna quis mi pharetra luctus ut id enim. Vivamus vitae nulla eros. In vestibulum
mattis elementum. </p>}

Page.create title: 'SP Studio', mode: 'link', position: 7, enabled: true, url_id: 'sps',
  link: 'http://studio.sp-service.com.ua'

Setting.delete_all

Miner.delete_all
Miner.create name: "bsa1", ip_address: "149.28.218.119", port: "4028",
  wallet_address: "439JLdAVDN1ao9fp9VUQNZHL84HrBpcXbEXQSZxyToDQjXsmEyDsqV9YZj1iuUbjLwLUTxuhwfhD53MUCeRzv59C6hDexR1",
  password: "bsa1", algorithm: "randomx"